# Generated from rabbit-slide-kou-db-tech-showcase-2021-2021.11.17.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rabbit-slide-kou-db-tech-showcase-2021

Name: rubygem-%{gem_name}
Version: 2021.11.17.0
Release: 1%{?dist}
Summary: Apache Arrow Flight – ビッグデータ用高速データ転送フレームワーク
License: CC-BY-SA-4.0 and Apache-2.0
URL: https://slide.rabbit-shocker.org/authors/kou/db-tech-showcase-2021/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
ビッグデータは現実的な時間で処理できてこそ活きます。処理時間はデータ処理アルゴリズムの計算量だけで決まり…ません！適切なノードにデータを配置しないとそもそもデータ処理できませんが、大量ノードが協調するビッグデータ処理ではデータ移動コストを無視できません。Apache
Arrow Flightを使えばネットワーク帯域限界まで高速にデータ転送できます。
このセッションではApache Arrow Flightの仕組みおよび利用例として分散計算プラットフォームApache Arrow
Ballistaを紹介します。.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.rabbit
%{gem_instdir}/apache-arrow-flight.rab
%{gem_instdir}/config.yaml
%{gem_instdir}/images
%{gem_instdir}/pdf
%{gem_instdir}/theme.rb
%{gem_instdir}/資料_dbtsF6_session.pdf
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rd
%{gem_instdir}/Rakefile

%changelog
* Wed Apr 20 2022 mockbuilder - 2021.11.17.0-1
- Initial package
